/**
 * Golf Club Handicap Member Network
 * Copyright (C) 2006 John J. Mazzitelli
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */
package ejb.project;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.testng.annotations.Test;

/**
 * This is a dummy TestNG test that I use to illustrate some of the features of TestNG that we can use - groups,
 * exlusion of groups, method/class leve tests, etc.
 *
 * @author <a href="mailto:mazz@jboss.com">John Mazzitelli</a>
 */
@Test( groups = { "dummy" } )
public class TestNGDummyTest
   extends AbstractTestClass
{
   private static final Log LOG = LogFactory.getLog( TestNGDummyTest.class );

   /**
    * This is a simple test method, inheriting the groups from the class.
    */
   public void simpleTest()
   {
      LOG.debug( "simpleTest complete." );
   }

   /**
    * Test to run with Embedded EJB3.
    */
   public void testGetName()
   {
      startupEmbeddedEJB3();
      System.out.println( "EmbeddedEJB3 has started - we can now test here!!!!!!" );
      shutdownEmbeddedEJB3();
   }

   /**
    * This demonstrates how to temporarily avoid running a test you know to be broken and don't have time to fix.
    * This inherits the class level groups but is also added to the broken group. When you run TestNG, exclude the
    * broken group from the list of tests to run.
    *
    * @throws IllegalStateException
    */
   @Test( groups = { "broken" } )
   public void brokenTest()
   {
      throw new IllegalStateException( "This is simulating a broken test that fails" );
   }
}